Subject: Re: FVWM: FVWM requires mouse-move to finish starting up?

From: Dominik Vogt <[email-masked]>
Date: Sun, 1 Aug 1999 11:56:50 +0200

On Sat, Jul 17, 1999 at 03:07:17PM -0500, Fuzzy Fox wrote:
> I decided to change around some of my X startup stuff, and found a
> strange behavior of fvwm2.
> 
> Previously I would start all my clients from my .xsession script, and
> then exec fvwm2 at the bottom.  Now my script basically just exec's
> fvwm2, and I've moved my clients' startup to the InitFunction, like so:
> 
>     AddToFunc InitFunction
>     +       "I" Exec xload
>     +       "I" Exec oclock
>     +       "I" Exec xcb
>     +       "I" Exec netscape -iconic
>     +       "I" Function StandardXterms
>     +       "I" Exec ICQ
> 
> Strangely, though, when I start up my X session now, I am treated to a
> completely blank X screen, and it will stay that way, indefinitely,
> until I touch the mouse, moving it slightly.  Then the window manager
> "wakes up" and runs its InitFunction.
> 
> Why does it do this?

You probably have some command that requires user interaction in
your config file, not necessarily in the InitFunction. Does it
happen too if you restart fvwm (with the 'Restart' command)?
Try to narrow it down by commenting parts of your config file.

Bye

Dominik ^_^

--
Dominik Vogt, [email-masked]
Reply-To: [email-masked]
--
Visit the official FVWM web page at <URL: http://www.fvwm.org/>.
To unsubscribe from the list, send "unsubscribe fvwm" in the body of a
message to [email-masked].
To report problems, send mail to [email-masked].